> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gaspravosudie/cases/search

> Search court cases in a specific Russian court of general jurisdiction by case number, unique case ID, party, judge or case-received date range, within a chosen type of proceedings.

**Price:** 50 credits



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/gaspravosudie/cases/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gaspravosudie/cases/search:
    post:
      tags:
        - /gaspravosudie
      summary: /gaspravosudie/cases/search
      description: >-
        Search court cases in a specific Russian court of general jurisdiction
        by case number, unique case ID, party, judge or case-received date
        range, within a chosen type of proceedings.


        **Price:** 50 credits
      operationId: __api_gaspravosudie_cases_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GaspravosudieCasesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GaspravosudieCaseSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GaspravosudieCasesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        court:
          type: string
        case_type:
          $ref: '#/components/schemas/GaspravosudieCaseType'
        case_number:
          anyOf:
            - type: string
            - type: 'null'
        uid:
          anyOf:
            - type: string
            - type: 'null'
        party:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        date_from:
          anyOf:
            - type: string
            - type: 'null'
        date_to:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - court
        - case_type
        - count
    GaspravosudieCaseSearchResult:
      properties:
        '@type':
          type: string
          default: GaspravosudieCaseSearchResult
        case_id:
          type: string
        case_uid:
          type: string
        delo_id:
          type: string
        url:
          type: string
        case_number:
          anyOf:
            - type: string
            - type: 'null'
        received_date:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        plaintiff:
          anyOf:
            - type: string
            - type: 'null'
        defendant:
          anyOf:
            - type: string
            - type: 'null'
        judge:
          anyOf:
            - type: string
            - type: 'null'
        decision_date:
          anyOf:
            - type: string
            - type: 'null'
        result:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - case_id
        - case_uid
        - delo_id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GaspravosudieCaseType:
      type: string
      enum:
        - Гражданские дела
        - Административные дела (КАС)
        - Уголовные дела
        - Дела об административных правонарушениях
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````